org.apache.tomcat.util.net

## Class AprEndpoint.Acceptor

- java.lang.Object
- - org.apache.tomcat.util.net.AbstractEndpoint.Acceptor
  - - org.apache.tomcat.util.net.AprEndpoint.Acceptor

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    AprEndpoint

      protected class AprEndpoint.Acceptor
      extends AbstractEndpoint.Acceptor

  The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tomcat.util.net.AbstractEndpoint.Acceptor

      `AbstractEndpoint.Acceptor.AcceptorState`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.net.AbstractEndpoint.Acceptor

      `state`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AprEndpoint.Acceptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class org.apache.tomcat.util.net.AbstractEndpoint.Acceptor

      `getState, getThreadName, setThreadName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AprEndpoint.Acceptor

          protected AprEndpoint.Acceptor()

  - ### Method Detail

    - #### run

          public void run()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.